Subject: linux-next: build warning after merge of the cpufreq tree

From: Stephen Rothwell <[email-masked]>
Date: Wed, 27 Apr 2011 11:10:24 +1000

Hi Dave,

After merging the cpufreq tree, today's linux-next build (powerpc
ppc64_defconfig) produced this warning:

drivers/cpufreq/Kconfig:67:warning: choice value used outside its choice group
drivers/cpufreq/Kconfig:75:warning: choice value used outside its choice group
drivers/cpufreq/Kconfig:84:warning: choice value used outside its choice group
drivers/cpufreq/Kconfig:93:warning: choice value used outside its choice group
drivers/cpufreq/Kconfig:105:warning: choice value used outside its choice group

I am not sure what has caused this.  The only change in the cpufreq tree
to that file is commit e002ba3328a2 ("[CPUFREQ] Move x86 cpufreq drivers
to drivers/cpufreq/") which rearranged a few things but nothing obvious.

-- 
Cheers,
Stephen Rothwell                    [email-masked]
http://www.canb.auug.org.au/~sfr/